Bug 615577 - Review Request: opencc - A library for conversion between traditional and simplified Chinese
Review Request: opencc - A library for conversion between traditional and si...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F14Target
  Show dependency treegraph
 
Reported: 2010-07-17 06:04 EDT by Carbo Kuo
Modified: 2010-08-25 23:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: opencc-0.1.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-25 20:55:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Carbo Kuo 2010-07-17 06:04:16 EDT
Spec URL: http://www.byvoid.com/application/opencc/download/opencc.spec
SRPM URL: http://www.byvoid.com/application/opencc/download/opencc-0.0.4-1.src.rpm
Description: OpenCC is a simplified-traditional Chinese conversion tool which contains runtime libraries and command line tools. OpenCC is already used by ibus-pinyin (a Chinese ime).
Comment 1 Carl Thompson 2010-07-17 18:04:14 EDT
(informal) 
Spec file errors:
no file attributes set for %files libs or %files devel
Source0 url is a 404 error

currently you have %{_datadir}/locale that should be using %find_lang macro
no %post or %postun defined to call ldconfig for the shared objects placed in the system library directory.

License is generalized.  Is this Apache (ASL) v1, 1.1, or 2.0?
Comment 2 Carl Thompson 2010-07-17 18:13:37 EDT
previous checks based on http://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Comment 3 Carbo Kuo 2010-07-18 03:51:04 EDT
All the issues have been solved. Thanks.
Comment 4 Randall "Randy" Berry 2010-07-18 05:14:45 EDT
Is this your first package? If so you will need a sponsor.

The spec file still does not address the licensing issue. You have "Apache License" when it should be "ASL 2.0" This is important because in some cases Version 1 of a license may not be acceptable whereas version 2 is. This is not the case with the Apache Software License but the version is just as important.

Documentation is here:
http://fedoraproject.org/wiki/Licensing#Good_Licenses

BuildRequires:  gettext-devel
 should be:
BuildRequires:  gettext

http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files

%files libs -f %{name}.lang

Are you sure this is correct? Should the locale files be in the binary %files section? Usually libs do their work in the background and don't need locale files. Locales are normally handled by the user interface. I may be wrong but it was worth looking into.

rpmlint output:
opencc-libs.i686: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Runtish
opencc-libs.i686: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Runtish
opencc-libs.i686: W: invalid-license Apache License
opencc-libs.i686: W: shared-lib-calls-exit /usr/lib/libopencc.so.0.0.0 exit@GLIBC_2.0
opencc-libs.i686: W: no-documentation
opencc-libs.i686: E: library-without-ldconfig-postin /usr/lib/libopencc.so.0.0.0
opencc-libs.i686: E: library-without-ldconfig-postun /usr/lib/libopencc.so.0.0.0
opencc-devel.i686: W: invalid-license Apache License
opencc-devel.i686: W: no-documentation
opencc.i686: W: invalid-license Apache License
opencc.i686: E: standard-dir-owned-by-package /usr/share/man/man1
opencc.i686: W: empty-%post
opencc.src: W: invalid-license Apache License
opencc-debuginfo.i686: W: invalid-license Apache License
5 packages and 0 specfiles checked; 3 errors, 11 warnings.

The spelling warnings can be ignored but the other issues must be addressed.
No documentation. This can also be ignored but it would be nice if there was documentation.

Documentation on the library-without-ldconfig* can be found here:
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Shared_libraries

File/Directory ownership documentation is here:
http://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership

When you make changes as instructed by the reviewer for each revision bump the release number up one, comment the changes in the %changelog section and build and upload a new SRPM.  This is so we know where we are and what changes have been made.
Comment 5 Carbo Kuo 2010-07-18 08:58:44 EDT
Thank you for reviewing my package. I've just fixed all the issues above and updated srpm and spec file.

I think it is necessary for opencc-libs to cantain the locale files because the API function "opencc_perror()" may be called to display the errors.

Actually it is my first package. But how can I find a so-called "sponser"?
Comment 6 Randall "Randy" Berry 2010-07-18 09:28:53 EDT
I am not a sponsor but you'll find all the steps to find one you need here:

http://fedoraproject.org/wiki/PackageMaintainers/Join
http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
http://fedoraproject.org/wiki/Join_the_package_collection_maintainers

My review was incomplete and contained only a few items I noticed right away.
Your sponsor will have to do a full review in order to approve your package.

It would also be a good idea to read the documentation on the Fedora review
process. That documentation can be found in several places:

http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Package_Review_Process

Although you cannot review your own packages the review guidelines can help you
prepare your package for review. It will show you all the steps a reviewer will
take to review your package.
Comment 7 Chen Lei 2010-07-28 09:03:29 EDT
Hi Chia-Pao Kuo,

Is there any progress on opencc package review?

Free free to contact me for any packaging issues either in Chinese or English.
Comment 10 manuel wolfshant 2010-08-02 08:25:39 EDT
Please remove all occurrences for "rm -rf $RPM_BUILD_ROOT" ( or, if you want to  preserve compatibility with the older buildsystem, keep them in both %install and %clean + add a buildroot )

The folder /usr/share/opencc is used to install several files, but it is not owned.


Please fix the above errors and paste the new urls for spec and src.rpm.


In view of sponsorship, I would also appreciate if you could do 1-2 pre-reviews. thank you.
Comment 11 Carbo Kuo 2010-08-02 08:48:15 EDT
I've removed 「*」 after %{_datadir}/opencc/. 
I think "rm -rf $RPM_BUILD_ROOT" in %clean is required for Fedora12 and below, so I didn't remove it.  http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

Spec URL: http://www.byvoid.com/application/opencc/download/opencc.spec
SRPM URL:
http://www.byvoid.com/application/opencc/download/opencc-0.0.4-1.src.rpm
Comment 13 Carbo Kuo 2010-08-02 09:17:05 EDT
(In reply to comment #10)
> Please remove all occurrences for "rm -rf $RPM_BUILD_ROOT" ( or, if you want to
>  preserve compatibility with the older buildsystem, keep them in both %install
> and %clean + add a buildroot )
> 
> The folder /usr/share/opencc is used to install several files, but it is not
> owned.
> 
> 
> Please fix the above errors and paste the new urls for spec and src.rpm.
> 
> 
> In view of sponsorship, I would also appreciate if you could do 1-2
> pre-reviews. thank you.    

I have just done a review on https://bugzilla.redhat.com/show_bug.cgi?id=613881
Comment 14 Carbo Kuo 2010-08-09 09:01:30 EDT
(In reply to comment #10)

> In view of sponsorship, I would also appreciate if you could do 1-2
> pre-reviews. thank you.    

I've just done another review on https://bugzilla.redhat.com/show_bug.cgi?id=607016 . What do I need to do to be a packager? Thank you.
Comment 16 Chen Lei 2010-08-20 03:24:04 EDT
Hi manuel,

Could you sponsor Chia-Pao Kuo now who is the author of opencc? 

We need this library for F14 as a new buildrequires for ibus-pinyin. ibus-pinyin is the most widely used input method for Simplified Chinese and obviously will be included in F14 DVD.

Thanks for your attention!
Comment 17 manuel wolfshant 2010-08-20 04:33:27 EDT
Sorry for delays but I had ( still have ) more pressing problems to attend to.

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM:
 W: no-buildroot-tag
binary RPM:
opencc-devel.x86_64: W: no-documentation
opencc-tools.x86_64: W: spelling-error %description -l en_US cli -> cl, clii, clip

 [x] Package is not relocatable.
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: ASL 2.0
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [!] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file included in src.rpm: a39727c21c06c9a4bf9ce55a4fbdeff14133c42d  opencc-0.1.1.tar.gz
     SHA1SUM of source file downloaded from upstream : 9874fe74b26e7cad1978bb1bb71d254415d34da5  opencc-0.1.1.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [x] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build for F13
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: all arch supported by koji scratch build
 [?] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [x] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.


=== Issues ===
1. The bundled tar.gz does not correspond to the one downloadable from upstream:
included in spec:  846166 Aug 10 16:29 opencc-0.1.1.tar.gz
upstream:          841739 Aug 12 06:24 opencc-0.1.1.tar.gz.1
It seems upstream updated the file after the src.rpm was created. Please update your source rpm accordingly ( and notify the upstream author that changing the version when the file content changes saves a lot of headaches for everyone).

Please let me know your FAS name, I will sponsor you.
Comment 18 Chen Lei 2010-08-20 05:05:41 EDT
(In reply to comment #17)
> === Issues ===
> 1. The bundled tar.gz does not correspond to the one downloadable from
> upstream:
> included in spec:  846166 Aug 10 16:29 opencc-0.1.1.tar.gz
> upstream:          841739 Aug 12 06:24 opencc-0.1.1.tar.gz.1
> It seems upstream updated the file after the src.rpm was created. Please update
> your source rpm accordingly ( and notify the upstream author that changing the
> version when the file content changes saves a lot of headaches for everyone).
Thanks a lot, manuel! In fact the submitter is also the upstream author, I'll talk to him about this issue. Unfortunately, he'll probably be offline for one month due to freshman's military training. Maybe we need to ask ibus-pinyin maintainer to complete this review request :D

> Please let me know your FAS name, I will sponsor you.

His fas is byvoid.
Comment 19 manuel wolfshant 2010-08-20 05:38:05 EDT
OK, I have just sponsored Chia. 
Please fix the package so that I can also approve it.
Comment 20 Carbo Kuo 2010-08-21 04:38:51 EDT
(In reply to comment #17)
> Sorry for delays but I had ( still have ) more pressing problems to attend to.
> 

> === Issues ===
> 1. The bundled tar.gz does not correspond to the one downloadable from
> upstream:
> included in spec:  846166 Aug 10 16:29 opencc-0.1.1.tar.gz
> upstream:          841739 Aug 12 06:24 opencc-0.1.1.tar.gz.1
> It seems upstream updated the file after the src.rpm was created. Please update
> your source rpm accordingly ( and notify the upstream author that changing the
> version when the file content changes saves a lot of headaches for everyone).

I am also the upstream author of opencc. Now it is fixed.
Thank you.

SPEC http://byvoid.fedorapeople.org/opencc/opencc.spec
SRPM http://byvoid.fedorapeople.org/opencc/opencc-0.1.1-1.src.rpm
Comment 21 manuel wolfshant 2010-08-23 02:33:17 EDT
Package APPROVED

Do not forget that, as I am your sponsor, you can always contact me directly in case that you need help. If needed, I'll do my best to assist you.
Comment 22 Carbo Kuo 2010-08-23 05:33:12 EDT
New Package SCM Request
=======================
Package Name: opencc
Short Description: Libraries for Simplified-Traditional Chinese Conversion
Owners: byvoid
Branches: f12 f13 f14
InitialCC:
Comment 23 Kevin Fenzi 2010-08-23 17:08:26 EDT
Git done (by process-git-requests).
Comment 24 Fedora Update System 2010-08-24 04:51:27 EDT
opencc-0.1.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/opencc-0.1.1-1.fc13
Comment 25 Fedora Update System 2010-08-24 04:51:34 EDT
opencc-0.1.1-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/opencc-0.1.1-1.fc14
Comment 26 Fedora Update System 2010-08-24 04:51:40 EDT
opencc-0.1.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/opencc-0.1.1-1.fc12
Comment 27 Fedora Update System 2010-08-24 17:07:24 EDT
opencc-0.1.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update opencc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/opencc-0.1.1-1.fc13
Comment 28 Fedora Update System 2010-08-25 20:55:35 EDT
opencc-0.1.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2010-08-25 20:58:00 EDT
opencc-0.1.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2010-08-25 23:23:21 EDT
opencc-0.1.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.